
using UnityEngine;

namespace Boxes
{
    [CreateAssetMenu(fileName = "NewBoxData", menuName = "Boxes/Box Data")]
    public class BoxData : ScriptableObject
    {
        public enum BoxEffectType
        {
            AddScore,
            LoseScore,
            SpecialFurniture
        }

        [Header("Игровые параметры")]
        public BoxEffectType effectType = BoxEffectType.AddScore;

        [Tooltip("Значение эффекта (очки или секунды)")]
        public float effectValue = 1;

        [Tooltip("Вес спавна")]
        public float spawnWeight = 10f;

        [Header("Визуальное представление")]
        public GameObject boxPrefab;
    }
    
}
